package com.example.leudaemialikeme.Model;

import java.io.Serializable;
import java.sql.Timestamp;

public class Blog implements Serializable {
    private static final long serialVersionUID = 1L;
    private int bid;
    private int uid;
    private String btype;
    private String btittle;
    private String bcontent;
    private Timestamp btime;
    private int blikeNum;
    private int bcollectNum;
    private int bbrowse;
    private int flag;

    public Blog() {

    }

    public Blog(int bid,int uid,String btype,String btittle,String bcontent,Timestamp btime,int blikeNum,
                int bcollectNum,int bbrowse,int flag) {
        this.bid=bid;
        this.uid=uid;
        this.btype=btype;
        this.btittle=btittle;
        this.bcontent=bcontent;
        this.btime=btime;
        this.blikeNum=blikeNum;
        this.bcollectNum=bcollectNum;
        this.bbrowse=bbrowse;
        this.flag=flag;

    }

    public Blog(int uid,String btype,String btittle,String bcontent,Timestamp btime,int blikeNum,
                int bcollectNum,int bbrowse,int flag) {
        this.uid=uid;
        this.btype=btype;
        this.btittle=btittle;
        this.bcontent=bcontent;
        this.btime=btime;
        this.blikeNum=blikeNum;
        this.bcollectNum=bcollectNum;
        this.bbrowse=bbrowse;
        this.flag=flag;
    }

    public void setUid(int uid) {
        this.uid=uid;
    }

    public int getUid() {
        return uid;
    }

    public void setBid(int bid) {
        this.bid=bid;
    }

    public int getBid() {
        return bid;
    }

    public void setBtype(String btype) {
        this.btype=btype;
    }

    public String getBtype() {
        return btype;
    }

    public void setBtittle(String btittle) {
        this.btittle=btittle;
    }

    public String getBtittle() {
        return btittle;
    }

    public void setBcontent(String bcontent) {
        this.bcontent=bcontent;
    }

    public String getBcontent() {
        return bcontent;
    }

    public Timestamp getBtime() {
        return btime;
    }

    public void setBtime(Timestamp btime) {
        this.btime=btime;
    }

    public void setBlikeNum(int blikeNum) {
        this.blikeNum=blikeNum;
    }

    public int getBlikeNum() {
        return blikeNum;
    }

    public void setBcollectNum(int bcollectNum) {
        this.bcollectNum=bcollectNum;
    }

    public int getBcollectNum() {
        return bcollectNum;
    }

    public void setBbrowse(int bbrowse) {
        this.bbrowse=bbrowse;
    }

    public int getBbrowse() {
        return bbrowse;
    }

    public int getFlag() {
        return flag;
    }

    public void setFlag(int flag) {
        this.flag=flag;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
